Loading...
Searching...
No Matches
TriggerChannelMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getChannel ()

## Signals

void | whichTrigger (int n)

## Public Member Functions

| TriggerChannelMenu (int nchans, QWidget *parent)
| ~TriggerChannelMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## TriggerChannelMenu()

TriggerChannelMenu::TriggerChannelMenu | ( | int | nchans,
|  | QWidget * | parent )

inline

References getChannel().

## ~TriggerChannelMenu()

TriggerChannelMenu::~TriggerChannelMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction()

QAction * TriggerChannelMenu::getAction | ( | unsigned int | which | ) |

inline

## getChannel

void TriggerChannelMenu::getChannel | ( |  | ) |

inline slot

References whichTrigger().

Referenced by TriggerChannelMenu().

## getNumActions()

int TriggerChannelMenu::getNumActions | ( |  | ) | const

inline

## whichTrigger

void TriggerChannelMenu::whichTrigger | ( | int | n | ) |

signal

Referenced by getChannel().

The documentation for this class was generated from the following file:

- form_menus.h